<?php
/**
 * Coppermine 1.6.x Plugin - forum
 *
 * Originally written by foulu (Le Hoai Phuong), eenemeenemuu
 * Updated for 1.6.x by KF. Date formats changed and function now static.
 *
 * @copyright  Copyright (c) 2003-2018 Coppermine Dev Team
 * @license    GNU General Public License version 3 or later; see LICENSE
 *
 * plugins/forum/forum/helpers/time_helper.php
 * @since  1.6.18
 */

class time {
    static function decode($time, $code = null) {
        global $CONFIG;
        if ($CONFIG['lang'] == "german") {  //Informal German
            $last_msg_date_fmt = 'd.m.Y H:i';
        } else {
            $last_msg_date_fmt = 'j M Y, H:i:s';   // Updated by KF
        }
 //       $registed_date_fmt = "%b %d, %Y";  // Seems not to be used anywhere
        if ($code !== null) {
            return localised_date($time, $code);
        } else {
            return localised_date($time, $last_msg_date_fmt);
        }
    }
}


